Bug 1898063 - satyr fails to build with Python 3.10: configure truncates Python version to 3.1
Summary: satyr fails to build with Python 3.10: configure truncates Python version to 3.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: satyr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Michal Fabik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-16 10:10 UTC by Miro Hrončok
Modified: 2021-02-02 16:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-02 16:53:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-11-16 10:10:42 UTC
satyr fails to build with Python 3.10.0a2.

checking for a Python interpreter with version >= 3.6... python3
checking for python3... /usr/bin/python3
checking for python3 version... 3.1
checking for python3 platform... linux
checking for python3 script directory... ${prefix}/lib/python3.10/site-packages
checking for python3 extension module directory... ${exec_prefix}/lib64/python3.10/site-packages
checking for python3.1-config... no
The python3.1-config program was not found in the search path. Please ensure
that it is installed and its directory is included in the search path or
pass --without-python3 to ./configure.

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01760135-satyr/

For all our attempts to build satyr with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/satyr/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Setting severity to high, because satyr is a critpath package.

Comment 1 Miro Hrončok 2021-01-06 14:38:55 UTC
Any update here? This was triaged as urgent in November.

Comment 3 Miro Hrončok 2021-01-11 17:21:29 UTC
Thanks. However:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.k4rsPu
+ umask 022
+ cd /builddir/build/BUILD
+ cd satyr-0.35
+ autoreconf
cat: ./satyr-version: No such file or directory
configure.ac:5: error: AC_INIT should be called with package and version arguments
/usr/share/aclocal-1.16/init.m4:29: AM_INIT_AUTOMAKE is expanded from...
configure.ac:5: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.k4rsPu (%build)

Comment 4 Michal Fabik 2021-01-12 15:39:09 UTC
Oh, sorry about that. There's a new release where this is fixed, here's the source tarball that goes with it: https://github.com/abrt/satyr/releases/download/0.36/satyr-0.36.tar.gz

Comment 5 Miro Hrončok 2021-02-02 16:53:44 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.